Subject: bug#39658: 26.3; can't edit file with terminal escape sequences

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Feb 2020 18:05:21 +0200

> Date: Tue, 18 Feb 2020 06:15:10 -0800
> From: [email-masked]
> Cc: [email-masked]
> 
> >The problem is more likely to be the extremely long lines in the
> >file. If you have emacs-27 or emacs-master, you can try 'M-x
> >global-so-long-mode' before visiting the file, which attempts to
> >improve Emacs' behaviour in such cases.
> 
> Yes, the fact that it is all on one line is likely relevant. I haven't tried installing Emacs 27, but I note that a file 10x as long as the one I attached, consisting of the letter "t" repeated, can be opened and edited without difficulty. My guess is that rendering the escape sequences in the problem file is causing some kind of quadratic complexity.

Did you try "M-x find-file-literally RET"?  I'm guessing Emacs tries
to interpret the escape sequences as some variant of ISO-2022 encoding
or something.